module Magick
  class Image
    def initialize bindata
      @bindata = bindata
    end
    
    def self.from_blob bindata
      [Magick::Image.new(bindata)]
    end
    
    def to_blob
      @bindata
    end
    
    def resize w,h
      self
    end
    
    def columns
      100
    end
    
    def rows
      100
    end
    
    def format
      'png'
    end
    
    def format=(e)
    end
    
    def flip
      self
    end
    
    def flop
      self
    end
    
    def filesize
      1024
    end
  end
  
end
